curl --request GET \
--url https://api.komerza.com/stores/{storeId}/coupons/all \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "<string>",
"code": "<string>",
"data": [
{
"code": "<string>",
"percentageDecrease": 123,
"amountDecrease": 123
}
]
}Gets the coupons in the store as references.
Requires the stores.coupons.view permission.
curl --request GET \
--url https://api.komerza.com/stores/{storeId}/coupons/all \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "<string>",
"code": "<string>",
"data": [
{
"code": "<string>",
"percentageDecrease": 123,
"amountDecrease": 123
}
]
}Your API key goes here
The ID of the store to get the coupons in
The object was successfully returned.
Represents a default generic response for API endpoints.
Indicates whether the operation or response was successful.
A descriptive message providing additional context or information about the response.
The error code (if there was an error) to use when referencing the error
Represents the data associated with a response.
Show child attributes
Was this page helpful?